gd_validate(3)

NAME
gd_validate — check a Dirfile field code for validity

SYNOPSIS
#include <getdata.h>

int gd_validate(DIRFILE *dirfile, const char *field_code);

DESCRIPTION
The function queries a dirfile(5) database specified by and checks whether which may contain a representation suffix, specifies a valid field.

The argument must point to a valid DIRFILE object previously created by a call to

This function checks whether the field and its input fields (if any) are found, and also that all non-literal parameters specify valid scalar fields.

RETURN VALUE
If all checks pass, returns zero. On error, it returns a negative-valued error code. Possible error codes are: The field specified by or one of the fields it uses as input was not found in the database. The supplied dirfile was invalid. A non-literal scalar used in the definition of the field or one of its inputs was not found, or was not a CONST or CARRAY field. A scalar field was found where a vector field was expected.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

NOTES
It is not necessary to call this function before passing a field code to another GetData function: all functions which accept field codes perform these checks themselves.

HISTORY
The function appared in GetData-0.6.0.

In GetData-0.7.0, this function was renamed to

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5)